Status: Closed Start date: 12 Jun 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 4.00 hours

Target version: CoCoALib-0.99534 Seoul14 Spent time: 4.00 hours

Description

We have the fn CmpAbs for BigInt and BigRat.

Mario would like it also for RingElem (when it is an ordered domain).

History

#1 - 12 Jun 2014 12:54 - John Abbott

The current impl works only for int/BigInt.  Not for BigRat

#2 - 12 Jun 2014 14:18 - Anna Maria Bigatti

Make sense.

We should also do the same (when someone asks ;-) for other functions which can be extended from BigInt to RingElem.

... even though the rule "does on RingElem(ZZ,a) what does on BigInt(a)" cannot be applied in total generality as we chose for different meanings of

a/b (but this case would require a Euclidean domain, which is a more complicated structure than an ordered ring)

#3 - 14 Jun 2014 21:21 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 20

- Estimated time set to 4.00 h

I have now checked in an impl for BigRat.

I have an impl for RingElem but cannot yet check in (mixed up with other changes)

#4 - 14 Jun 2014 21:24 - John Abbott

I have added a test and doc for CmpAbs for BigRat

#5 - 14 Jun 2014 21:38 - John Abbott

- % Done changed from 20 to 50

Implemented & documented; no test yet.

Checked in by commenting out the other changes in ring.C

#6 - 25 Jun 2014 12:16 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 50 to 90

I have now added a new test, test-RingElem4, for CmpAbs of RingElem.  Will check in.
#7 - 17 Jul 2014 14:26 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

No problems have appeared. Closing.
